Bug 1457327 (CVE-2017-9263) - CVE-2017-9263 openvswitch: Invalid processing of a malicious OpenFlow role status message
Summary: CVE-2017-9263 openvswitch: Invalid processing of a malicious OpenFlow role st...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9263
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170526,repor...
Depends On: 1456797 1466573 1466574 1466575 1466576 1466577 1466578 1466579 1466580 1470452 1470458
Blocks: 1456799
TreeView+ depends on / blocked
 
Reported: 2017-05-31 14:07 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
41 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
While parsing an OpenFlow role status message Open vSwitch (OvS), a call to the abort() function for undefined role status reasons in the function 'ofp_print_role_status_message' in 'lib/ofp-print.c' could be misused for a remote denial of service attack by a malicious switch.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2418 normal SHIPPED_LIVE Moderate: openvswitch security, bug fix, and enhancement update 2017-08-03 16:35:07 UTC
Red Hat Product Errata RHSA-2017:2553 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-08-30 17:59:59 UTC
Red Hat Product Errata RHSA-2017:2648 normal SHIPPED_LIVE Moderate: openvswitch security and bug fix update 2017-09-06 20:53:24 UTC
Red Hat Product Errata RHSA-2017:2665 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-06 21:49:41 UTC
Red Hat Product Errata RHSA-2017:2692 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-12 21:11:39 UTC
Red Hat Product Errata RHSA-2017:2698 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-12 21:20:40 UTC
Red Hat Product Errata RHSA-2017:2727 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-14 01:39:00 UTC

Description Andrej Nemec 2017-05-31 14:07:36 UTC
In Open vSwitch while parsing an OpenFlow role status message, there is a call to the abort() function for undefined role status reasons in the function `ofp_print_role_status_message` in `lib/ofp-print.c` that may be leveraged toward a remote DoS attack by a malicious switch.

References:

https://mail.openvswitch.org/pipermail/ovs-dev/2017-May/332966.html

Comment 1 Andrej Nemec 2017-05-31 14:27:04 UTC
Created openvswitch tracking bugs for this issue:

Affects: fedora-all [bug 1456797]

Comment 6 errata-xmlrpc 2017-08-03 12:37:09 UTC
This issue has been addressed in the following products:

  Fast Datapath for RHEL 7

Via RHSA-2017:2418 https://access.redhat.com/errata/RHSA-2017:2418

Comment 7 errata-xmlrpc 2017-08-30 14:06:21 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2553 https://access.redhat.com/errata/RHSA-2017:2553

Comment 8 errata-xmlrpc 2017-09-06 17:02:40 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:2648 https://access.redhat.com/errata/RHSA-2017:2648

Comment 9 errata-xmlrpc 2017-09-06 17:51:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:2665 https://access.redhat.com/errata/RHSA-2017:2665

Comment 10 errata-xmlrpc 2017-09-12 17:14:08 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:2692 https://access.redhat.com/errata/RHSA-2017:2692

Comment 11 errata-xmlrpc 2017-09-12 17:22:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:2698 https://access.redhat.com/errata/RHSA-2017:2698

Comment 12 errata-xmlrpc 2017-09-13 21:42:15 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:2727 https://access.redhat.com/errata/RHSA-2017:2727

Comment 13 Jason Shepherd 2018-04-03 07:14:08 UTC
Updated fixed in version to 2.7.2-1 based on packages released in https://access.redhat.com/errata/RHSA-2017:2418.

Openshift Enterprise 3.7 uses the fixed version 2.7.2-1. Marking as not affected.


Note You need to log in before you can comment on or make changes to this bug.